﻿@{
    ViewData["Title"] = "Create";
}

<link rel="stylesheet" href="~/css/Playlists/Create.css" />
<script src="~/js/Playlists/Create.js"></script>


<div class="playlist-create">
    <h3>Generate playlist</h3>

    <div>
        <label>From:</label>
        <input class="playlist-create-from" type="text" />
    </div>

    <div>
        <label>To:</label>
        <input class="playlist-create-to" type="text" />
    </div>

    <div>
        <label>Playlist Title:</label>
        <input class="playlist-create-title" type="text" />
    </div>

    <div>
        <label>Metal:</label>
        <input class="playlist-create-genre-metal genre-range" type="range" min="0" max="100" step="10" value="0">
        <label>0%</label>
    </div>

    <div>
        <label>Rock:</label>
        <input class="playlist-create-genre-rock genre-range" type="range" min="0" max="100" step="10" value="0">
        <label>0%</label>
    </div>

    <div>
        <label>Pop:</label>
        <input class="playlist-create-genre-pop genre-range" type="range" min="0" max="100" step="10" value="0">
        <label>0%</label>
    </div>

    <div>
        <label>Pop-Folk:</label>
        <input class="playlist-create-genre-popfolk genre-range" type="range" min="0" max="100" step="10" value="0">
        <label>0%</label>
    </div>

    <div>
        <label id="top-tracks">Top tracks:</label>
        <input class="playlist-create-check-toptracks" type="checkbox">
    </div>

    <div>
        <label id="same-artist">Same artist:</label>
        <input class="playlist-create-check-sameartist" type="checkbox">
    </div>


    <button class="btn btn-dark playlist-create-submit">Generate</button>

</div>



@*<div class="d-flex flex-column align-items-center card mt-5" id="form-playlist">
        <div class="card-body">
            <h5 class="rounded" id="generate-playlist-topleft">
                Generate playlist
            </h5>

            <p class="card-text">Travel Information:</p>
            <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <p class="input-group-text">From:</p>
                    <input type="text" class="form-control" aria-describedby="button-addon2" required />
                </div>
                <span asp-validation-for="@Model.StartLocation" class="text-danger"></span>
            </div>
            <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <p class="input-group-text">To:</p>
                    <input type="text" class="form-control" aria-describedby="button-addon2" required>
                </div>
                <span class="text-danger"></span>
            </div>
            <div class="form-group" id="no-margin-bottom">
                <label>Playlist Title:</label>
                <input  class="form-control" required />
                <span class="text-danger"></span>
            </div>
            <div>
                <span>Metal:</span>
                <input type="range" id="rangeInput" asp-for="@Model.Metal" min="0" max="100" step="1">
                <output id="amount" name="amount" for="rangeInput sec">0 %</output>
            </div>
            <div>
                <span>Rock:</span>
                <input type="range" id="rangeInput2" asp-for="@Model.Rock" min="0" max="100" step="1">
                <output id="amount2" name="amount2" for="rangeInput2 sec">0 %</output>
            </div>
            <div>
                <span>Pop:</span>
                <input type="range" id="rangeInput3" asp-for="@Model.Pop" min="0" max="100" step="1">
                <output id="amount3" name="amount3" for="rangeInput3 sec">0 %</output>
            </div>
            <div id="last-genre">
                <span>Pop-Folk:</span>
                <input type="range" id="rangeInput4" asp-for="@Model.Chalga" min="0" max="100" step="1">
                <output id="amount4" name="amount4" for="rangeInput4 sec">0 %</output>
            </div>
            <span id="top-tracks">Top tracks:</span>
            @Html.EditorFor(x => x.TopTracks)

            <span id="same-artist">Same artist:</span>
            @Html.EditorFor(x => x.SameArtist)
        </div>
        <button type="submit" class="btn btn-dark" id="button-playlist-form">Generate</button>
    </div>*@
